## EXPORT_SPEC int UpnpNotifyExt

## ( IN UpnpDevice_Handle,
IN const char* DevID,
IN const char* ServID,
IN IXML_Document* PropSet )

> UpnpNotifyExt is similar to UpnpNotify except that it takes a DOM document for the event rather than an array of strings.

## Documentation

> UpnpNotifyExt is similar to UpnpNotify except that it takes a DOM document for the event rather than an array of strings. This function is synchronous and generates no callbacks.

> UpnpNotifyExt may be called during a callback function to send out a notification.

Parameters:
  - UpnpDevice_Handle The handle to the device sending the event.
  DevID - The device ID of the subdevice of the service generating the event.
  ServID - The unique identifier of the service generating the event.
  PropSet - The DOM document for the property set. Property set documents must conform to the XML schema defined in section 4.3 of the Universal Plug and Play Device Architecture specification.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_HANDLE`: The handle is not a valid device handle.
  - `UPNP_E_INVALID_SERVICE`: The DevId/ServId pair refers to an invalid service.
  - `UPNP_E_INVALID_PARAM`: Either VarName, NewVal, DevID, ServID, or PropSet is not a valid pointer or cVariables is less than zero.
  - `UPNP_E_OUTOF_MEMORY`: Insufficient resources exist to complete this operation.

Alphabetic index

This page was generated with the help of DOC++.